import request from '@/utils/request'
import {
    BASE
} from './apiGateway'
//托育日志
//https://note.youdao.com/coshare/index.html?token=7531501EFA6D4861A3131AA5D2470A85&gid=117741674
var nurseryRecordApi = {
    // 我的订单列表
    patientOrderList(params) {
        return request({
            url: `${BASE}/patient/course/patientOrderList`,
            method: 'GET',
            params: params
        })
    },
    // 教师端-获取托育日志按月日历形式
    findNurseryLogByMonth(params) {
        return request({
            url: `${BASE}/doctor/nursery/findNurseryLogByMonth`,
            method: 'GET',
            params: params
        })
    },
    //教师端已填写日志列表
    findNurseryLogList(params) {
        return request({
            url: `${BASE}/doctor/nursery/findNurseryLogList`,
            method: 'GET',
            params: params
        })
    },
    // 教师端未填写日志列表
    nuseryLogUnFilledIn(params) {
        return request({
            url: `${BASE}/doctor/nursery/nuseryLogUnFilledIn`,
            method: 'GET',
            params: params
        })
    },
    // 按id查找日志详情
    nurseryDetail(params) {
        return request({
            url: `${BASE}/doctor/nursery/nurseryDetail`,
            method: 'GET',
            params: params
        })
    },
    // 新增托育日志
    addNurseryLog(params) {
        return request({
            url: `${BASE}/doctor/nursery/addNurseryLog`,
            method: 'POST',
            params: params
        })
    },
    // 新增课程记录
    addCourseRecord(params) {
        return request({
            url: `${BASE}/doctor/nursery/addCourseRecord`,
            method: 'POST',
            params: params
        })
    },
    //  食物字典
    findDictDiet(params) {
        return request({
            url: `${BASE}/doctor/nursery/findDictDiet`,
            method: 'POST',
            params: params
        })
    },
    // 新增饮食记录
    addDietRecord(params) {
        return request({
            url: `${BASE}/doctor/nursery/addDietRecord`,
            method: 'POST',
            params: params
        })
    },
    // 根据托育日志id查找课程记录或者饮食记录
    nurseryDetail(params) {
        return request({
            url: `${BASE}/doctor/nursery/nurseryDetail`,
            method: 'GET',
            params: params
        })
    },
    // 根据id查找课程记录
    findCourseRecord(params) {
        return request({
            url: `${BASE}/doctor/nursery/findCourseRecord`,
            method: 'GET',
            params: params
        })
    },
    // 根据id查找饮食记录
    findDietRecord(params) {
        return request({
            url: `${BASE}/doctor/nursery/findDietRecord`,
            method: 'GET',
            params: params
        })
    },


}

export default nurseryRecordApi
